Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # Regular Struct Template Reference [Basic Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename T> struct boost::gil::Regular< T >
    auto concept Regular<typename T> : DefaultConstructible<T>, CopyConstructible<T>, EqualityComparable<T>,
                                       Assignable<T>, Swappable<T> {};
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp